cgtpc
c     program nakresli ...
      dimension x(442),y(442),pa(2),pab(2),x1(2),y1(2)
      character latex*69,ake*20,latexp*69(77),akep(77)
      data pa/0.12,0.12/,pab/.02,.08/
      open(5,file='obr28.dat')
      open(11,file='e:\a\obr.gpv',form='unformatted')
      ake='\sm '
      j=1
  702 read(5,*)x(j),y(j)
      if(x(j).eq.-999)goto 703
      j=j+1
      goto 702
  703 continue
      n=j-1
      call begpic(11,10,3)
      xsc=(x(n)-x(1))/11.5
      ysc=xsc
      call scale(xsc,ysc)
      call profil(x,y,n,xsc,ysc,pa)
      call pentyp(33)
      
      p=0.1
  733 read(5,*,end=704)xb,yb
      call moli(xb-p,yb+p,xb+p,yb-p)
      call moli(xb-p,yb-p,xb+p,yb+p)
      goto 733
  704 continue
      
      r=0.3
      xb=3.9
      yb=1.7
      gray=0.88
      call setgray(gray)
      do 4 j=1,15
      call kruh(r,xb,yb,-1)
      r=r-0.018
      xb=xb-0.02
      yb=yb-0.05
      gray=gray-0.033
      call setgray(gray)
    4 continue
      
      call pentyp(11)
      call moli(4.,0.6,5.2,1.3)
      call moli(6.2,-1.9,6.7,-0.65)
      call pentyp(33)
      call setdash(pa,2)
      call moli(6.5 ,-3.5,x(n),-3.5)
      call moli(2.5 ,-5.5,x(n),-5.5)
      call moli( .0 ,-7.5,x(n),-7.5)
      
      latex='sopen ostrovn oblk '
      call latext( 5.30, 1.35,'l',latex)
      latex='Tich ocen            '
      call latext( x(n),  .29,'r',latex)
      latex='ocensk priekopa  '
      call latext( 6.7 , -.42,'l',latex)
      latex='100\,km'
      call latext(13.  ,-3.17,'r',latex)
      latex='300\,km'
      call latext(13.  ,-5.17,'r',latex)
      latex='700\,km'
      call latext(13.  ,-7.17,'r',latex)
      call eopic
      stop
      end
      
      
      
      subroutine profil(x,y,n,xsc,ysc,pa)
      dimension x(1),y(1),xi(800),yi(800),xp(99),yp(99),pa(1)
      ik=0
      m=11
      ni=n*m
  701 xx=(x(n)-x(1))/ni
      do 5 j5=1,ni
      xi(j5)=x(1)+float(j5-1)*xx
    5 continue
      call intrpl(n,x,y,ni,xi,yi,12)
      call setgray(.89)
      call pentyp(66)
      do 3 j=1,ni
      if(xi(j).le.3.or.xi(j).ge.5)call moli(xi(j),0.,xi(j),yi(j))
    3 continue
      call setgray(0.)
      call polyg(xi,yi,ni,-10.,20.,-10.,10.,0,pa)
      call pentyp(9)
      call setdash(pa,2)
      call moli(0.,0.,3.,0.)
      call moli(5.,0.,x(n),0.)
      call setdash(pa,0)
      return
      end
c   18   42    4   94   71    2  301    5  705   71   71   71   71   71
